Run queries to compare beta crash distribution with release crash distribution

RESOLVED FIXED in 1.1

Status

Socorro
General
--
blocker
RESOLVED FIXED
8 years ago
6 years ago

People

(Reporter: morgamic, Assigned: lars)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
Need this for 3.5 to compare delta between beta test crashes and release crashes and understand the differences.
(Assignee)

Comment 1

8 years ago
Created attachment 410077 [details]
output of signature ranking queries

The attached file represents the list of crash signatures for FF3.5rc1, FF3.5rc2, FF3.5rc3 and FF3.5 for one week periods beginning on 2009-06-16 through 2009-07-14.  Each file in the tarball is for seven days beginning on the day represented by the file name of the form YYYYMMDD.txt  The data is sorted by top crash signature, descending.  Also included for each signature is the percentage of the total number of crashes for that signature over the entire one week period.

The one week periods were selected such that there is a clear break between the files on the actual release date.  Files named 20090623.txt and before represent the release candidates.  Files named 20090630.txt and beyond represent crashes received after the moment of release.  

Keep in mind that because the release candidates and the released version identify themselves in a manner indistinguishable to Socorro.  We have no apparent way of separating them.

I make no claims as to what this data means.  However, I found it surprising in that I thought there would be a dramatic increase in quantity of the top crashing signature from before to after the release.  That didn't happen.  I will leave it to more astute minds for interpretation.

For the record, the queries that generated the data were date variants of the following:

select 
  signature,
  count(r.*) as total,
  100.0 * cast (count(r.*) as real) / (select 
                count(r1.*) 
              from reports r1
              where 
                '2009-06-30 07:00:00' <= r1.date_processed and r1.date_processed < '2009-07-07 07:00:00'
                 and r1.product = 'Firefox'
                 and r1.version = '3.5'
             ) as percentOfAll
from
  reports r
where
  '2009-06-30 07:00:00' <= r.date_processed and r.date_processed < '2009-07-07 07:00:00'
  and r.product = 'Firefox'
  and r.version = '3.5'
group by 
  r.signature
order by 
  3 desc;
(Assignee)

Comment 2

8 years ago
Haven't heard anything more about this - assuming that my task is done.  If you disagree, feel free to reopen this bug...
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Component: Socorro → General
Product: Webtools → Socorro
You need to log in before you can comment on or make changes to this bug.